/*
 * Harbor API
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.19
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.HarborApi) {
      root.HarborApi = {};
    }
    root.HarborApi.RetentionExecutionTask = factory(root.HarborApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The RetentionExecutionTask model module.
   * @module model/RetentionExecutionTask
   * @version 2.0
   */

  /**
   * Constructs a new <code>RetentionExecutionTask</code>.
   * @alias module:model/RetentionExecutionTask
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>RetentionExecutionTask</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/RetentionExecutionTask} obj Optional instance to populate.
   * @return {module:model/RetentionExecutionTask} The populated <code>RetentionExecutionTask</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('id'))
        obj.id = ApiClient.convertToType(data['id'], 'Number');
      if (data.hasOwnProperty('execution_id'))
        obj.executionId = ApiClient.convertToType(data['execution_id'], 'Number');
      if (data.hasOwnProperty('repository'))
        obj.repository = ApiClient.convertToType(data['repository'], 'String');
      if (data.hasOwnProperty('job_id'))
        obj.jobId = ApiClient.convertToType(data['job_id'], 'String');
      if (data.hasOwnProperty('status'))
        obj.status = ApiClient.convertToType(data['status'], 'String');
      if (data.hasOwnProperty('status_code'))
        obj.statusCode = ApiClient.convertToType(data['status_code'], 'Number');
      if (data.hasOwnProperty('status_revision'))
        obj.statusRevision = ApiClient.convertToType(data['status_revision'], 'Number');
      if (data.hasOwnProperty('start_time'))
        obj.startTime = ApiClient.convertToType(data['start_time'], 'String');
      if (data.hasOwnProperty('end_time'))
        obj.endTime = ApiClient.convertToType(data['end_time'], 'String');
      if (data.hasOwnProperty('total'))
        obj.total = ApiClient.convertToType(data['total'], 'Number');
      if (data.hasOwnProperty('retained'))
        obj.retained = ApiClient.convertToType(data['retained'], 'Number');
    }
    return obj;
  }

  /**
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * @member {Number} executionId
   */
  exports.prototype.executionId = undefined;

  /**
   * @member {String} repository
   */
  exports.prototype.repository = undefined;

  /**
   * @member {String} jobId
   */
  exports.prototype.jobId = undefined;

  /**
   * @member {String} status
   */
  exports.prototype.status = undefined;

  /**
   * @member {Number} statusCode
   */
  exports.prototype.statusCode = undefined;

  /**
   * @member {Number} statusRevision
   */
  exports.prototype.statusRevision = undefined;

  /**
   * @member {String} startTime
   */
  exports.prototype.startTime = undefined;

  /**
   * @member {String} endTime
   */
  exports.prototype.endTime = undefined;

  /**
   * @member {Number} total
   */
  exports.prototype.total = undefined;

  /**
   * @member {Number} retained
   */
  exports.prototype.retained = undefined;


  return exports;

}));
